%define lib_api		0
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Name:		sratom
Version:		0.6.0
Release:	%mkrel 1
Summary:	Library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax
Source0:	http://download.drobilla.net/%{name}-%{version}.tar.xz
URL:		http://drobilla.net/software/%{name}/
License:		ISC License (ISC)
Group:		System/Libraries
#-------------------------------
BuildRequires:	waf
BuildRequires:	pkgconfig
BuildRequires:	glib2-devel
BuildRequires:	serd-devel
BuildRequires:	sord-devel
BuildRequires:	lv2-devel
#-------------------------------
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Lightweight C library for storing RDF data in memory.

%files
%defattr(-,root,root)
%doc COPYING README

#-----------------------------------
%package -n %{lib_name}
Summary:	Library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax
Group:		System/Libraries
Obsoletes:	%{_lib}sratom0 < 0.4.2-3

%description -n %{lib_name}
Lightweight C library for storing RDF data in memory.

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}.*

#-----------------------------------
%package -n %{lib_name_devel}
Summary:	Headers for the sord RDF storage library
Group:		Development/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against %{name}.

%files -n %{lib_name_devel}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc

#-----------------------------------
%prep
%setup -q

%build
%setup_compile_flags
./waf configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
./waf -v

%install
rm -rf $RPM_BUILD_ROOT
./waf install --destdir=%{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Jan 02 2017 bb <bb> - 0.6.0-1pclos2017
- new version

* Wed Jun 17 2015 gseaman <galen.seaman at comcast.net> 0.4.6-1gseaman2015
- 0.4.6

* Tue Oct 29 2013 pinoc <vogtpet at gmail.com> 0.4.2-1pclos2013
- imported package sratom

